@import 'node_modules/@angular/material/theming';
@import 'src/colors';
@import "src/app/app.component";

.profile-content-padding {
  padding: 20px;
  display: flex;
  flex-flow: row wrap;
  height: 100%;
  width: 100%;

  //a really fancy way of saying "calc(100% - $header-height), but necessary because of Sass.
  min-height: unquote("calc(100% - #{$header-height})");

  overflow-y: auto;
}

@media only screen and (min-width: 480px) {
  .profile-content-padding {
    height: 100vh - $header-height;
    padding: 20px 15vw;
    display: flex;
    flex-flow: row wrap;
    width: 100%;
  }
}

.separator {
  display: none;
}

// HACK: this kind of emulates a mat-card
.left-content {
  @include mat-elevation(2);
  border-radius: 4px;
  padding: 15px;
  width: 100%;
  min-height: 75vh;

  display: flex;
  flex-flow: column nowrap;
  justify-content: flex-start;

  .user-header {
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    justify-content: center;


    $imgSize: 100%;
    .user-header-avatar {
      margin: 0 25px;
      max-width: $imgSize;

      img {
        height: 100%;
        width: 100%;
        border-radius: $imgSize / 2;
      }
    }

    .user-header-data {
      flex-grow: 5;
      text-align: center;

      .user-name {
        font-size: 3em;
        font-weight: bolder;
      }

      .user-joined-date, .user-filler-content {
        font-size: 0.8em;
        font-weight: lighter;
        font-style: italic;
      }

      .user-settings {
        button {
          padding: 0;
          text-transform: uppercase;

          mat-icon {
            margin-right: 5px;
          }
        }
      }
    }
  }

  .user-statistics {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;

    background-color: lightblue;
    border-radius: 5px;

    margin: 25px 0;
    padding: 10px;

    .user-statistic {
      flex-grow: 1;
      text-align: center;

      .user-statistic-name {
        text-transform: uppercase;
        font-weight: bold;
      }

      .user-statistic-value {
        font-size: 2em;
        font-weight: lighter;
      }
    }
  }

  .user-achievements-container {
    .user-achievements-header {

      font-size: 2em;
      font-weight: lighter;
      letter-spacing: -2px;
      text-transform: uppercase;
      margin-bottom: 5px;
    }

    .user-achievements {
      display: flex;
      flex-flow: column nowrap;
      justify-content: flex-start;
      align-items: stretch;

      .user-achievement {
        margin: 5px;

        .user-achievement-icon {
          float: left;
          $iconSize: 40px;

          mat-icon {
            height: $iconSize;
            width: $iconSize;
            font-size: $iconSize;
            color: darkblue;
          }
        }

        .user-achievement-data {

          .user-achievement-title {
            font-size: 1.25em;
          }
        }
      }
    }
  }
}

.right-content {
  padding: 15px;

  display: flex;
  flex-flow: column nowrap;
  justify-content: flex-start;
  align-items: stretch;

  width: 100%;

  .user-activity-header {
    font-size: 3em;
    font-weight: lighter;
    letter-spacing: -2px;
    text-transform: uppercase;
  }

  .user-activity-section {
    margin-bottom: 15px;

    display: flex;
    flex-flow: column nowrap;

    .user-activity-section-header {
      font-size: 2em;
      color: gray;
    }

    .user-activity-section-content {
      align-self: stretch;
      height: 150px;
    }
  }
}

$separatorWidth: 1%;
$contentWidth: (100% - $separatorWidth) / 2;
@media only screen and (min-width: 721px) {
  .left-content {
    height: 100%;
    width: $contentWidth;
    overflow-y: auto;

    $imgSize: 150px;

    .user-header {
      .user-header-avatar {
        max-width: $imgSize;
        margin-right: 15px;

        img {
          width: 100%;
        }
      }
    }
  }

  .separator {
    display: block;
    height: 100%;
    width: $separatorWidth;
  }

  .right-content {
    height: 100%;
    width: $contentWidth;
    overflow-y: auto;
  }
}
